| USRP Hardware Driver and Device Manual Version: 4.10.0.0 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd_usrp_tx_info_t Struct Reference

USRP TX info. More...

`#include <uhd/types/usrp_info.h>`

## Detailed Description

USRP TX info.

This struct is populated by uhd_usrp_get_tx_info().

## Public Attributes
char * | mboard_id
| Motherboard ID.
char * | mboard_name
| Motherboard name.
char * | mboard_serial
| Motherboard serial.
char * | tx_id
| TX daughterboard ID.
char * | tx_subdev_name
| TX subdev name.
char * | tx_subdev_spec
| TX subdev spec.
char * | tx_serial
| TX daughterboard serial.
char * | tx_antenna
| TX daughterboard antenna.

## Member Data Documentation

## ◆ mboard_id

char* uhd_usrp_tx_info_t::mboard_id

Motherboard ID.

## ◆ mboard_name

char* uhd_usrp_tx_info_t::mboard_name

Motherboard name.

## ◆ mboard_serial

char* uhd_usrp_tx_info_t::mboard_serial

Motherboard serial.

## ◆ tx_antenna

char* uhd_usrp_tx_info_t::tx_antenna

TX daughterboard antenna.

## ◆ tx_id

char* uhd_usrp_tx_info_t::tx_id

TX daughterboard ID.

## ◆ tx_serial

char* uhd_usrp_tx_info_t::tx_serial

TX daughterboard serial.

## ◆ tx_subdev_name

char* uhd_usrp_tx_info_t::tx_subdev_name

TX subdev name.

## ◆ tx_subdev_spec

char* uhd_usrp_tx_info_t::tx_subdev_spec

TX subdev spec.

The documentation for this struct was generated from the following file:

- usrp_info.h